#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Net
%define		pnam	SNMP
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SNMP - object oriented interface to SNMP
Summary(pl.UTF-8):	Net::SNMP - zorientowany obiektowo interfejs do SNMP
Name:		perl-Net-SNMP
Version:	6.0.1
Release:	2
# same as perl
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/D/DT/DTOWN/%{pdir}-%{pnam}-v%{version}.tar.gz
# Source0-md5:	6137f04f9942d703f66179f890e3d096
Patch0:		%{name}-kill_vstring.patch
URL:		http://search.cpan.org/dist/Net-SNMP/
BuildRequires:	perl-Crypt-DES >= 2.0.3
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Crypt-DES >= 2.0.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional (not required if not using v6)
%define		_noautoreq	perl(Socket6) perl(IO::Socket::INET6)

%description
The Net::SNMP Perl module implements an object oriented interface to
the Simple Network Management Protocol. Perl applications can use the
module to retrieve or update information on a remote host using the
SNMP protocol. The module supports SNMP version-1, SNMP version-2c
(Community-Based SNMPv2), and SNMP version-3. The Net::SNMP module
assumes that the user has a basic understanding of the Simple Network
Management Protocol and related network management concepts.

%description -l pl.UTF-8
Moduł Perla Net::SNMP stanowi zorientowaną obiektowo implementację
interfejsu do protokołu SNMP (Simple Network Management Protocol).
Programy perlowe mogą korzystać z tego modułu do pobierania i
aktualizacji informacji na zdalnych hostach używając protokołu SNMP.
Moduł ten obsługuje wersje protokołu SNMP: 1, 2c (Community-Based
SNMPv2) oraz 3. Moduł Net::SNMP zakłada, że użytkownik rozumie w
podstawowym zakresie protokół SNMP i związane z nim idee zarządzania
sieciowego.

%prep
%setup -q -n %{pdir}-%{pnam}-v%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/snmpkey
%{perl_vendorlib}/Net/*.pm
%{perl_vendorlib}/Net/SNMP
%{_mandir}/man1/snmpkey.1p*
%{_mandir}/man3/Net::SNMP.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SNMP.git;a=log;h=master

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> b16682c
- release 2 (by relup.sh)

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> 4fcfff5
- up to 6.0.1

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 510bc96
- release 2

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 0073203
- updated to 5.2.0

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 4810a1b
- adjusted for 5.2.0

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 459481c
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e3c6451
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 340ce7f
- converted to UTF-8

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 60c6f17
- Socket6 and IO::Socket::INET6 are optional

* Wed Dec 01 2004 radek <radek@pld-linux.org> 94f72ed
- autoupdated to 5.0.1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c5983ad
- formatting

* Wed Aug 11 2004 radek <radek@pld-linux.org> 4410ad9
- version 5.0.0

* Wed Aug 11 2004 radek <radek@pld-linux.org> a2da204
- updated to 5.0.0

* Mon Jun 14 2004 radek <radek@pld-linux.org> 1a68733
- release 3: added -kill_vstring.patch

* Mon Jun 14 2004 radek <radek@pld-linux.org> 11ea6f8
- s/v2.0.2/2.0.2/

* Fri May 07 2004 ankry <ankry@pld-linux.org> ca9aef1
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> ed550a8
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 74f301e
- tests added, other fixes

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 104294b
- better description

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 27bd686
- updated to 4.1.2

